import { AgentFunctionResult, FunctionDefinition } from '../../agent-core/index.js';
import { Agent } from '../../agents/index.js';
export declare abstract class AgentFunctionBase<TParams> {
    abstract get name(): string;
    abstract get description(): string;
    abstract get parameters(): any;
    abstract buildExecutor(agent: Agent<unknown>): (params: TParams, rawParams?: string) => Promise<AgentFunctionResult>;
    getDefinition(): FunctionDefinition;
}
